import AccountCircle from "./components/account-circle";
import AccountCircleFill from "./components/account-circle-fill";
import Activity from "./components/activity";
import Add from "./components/add";
import AddAPhoto from "./components/add-a-photo";
import AddAPhotoFill from "./components/add-a-photo-fill";
import AddBox from "./components/add-box";
import AddBoxFill from "./components/add-box-fill";
import AddCall from "./components/add-call";
import AddCallFill from "./components/add-call-fill";
import AddCircle from "./components/add-circle";
import AddCircleFill from "./components/add-circle-fill";
import AddComment from "./components/add-comment";
import AddCommentFill from "./components/add-comment-fill";
import AddFill from "./components/add-fill";
import AddReaction from "./components/add-reaction";
import AddReactionFill from "./components/add-reaction-fill";
import Ai from "./components/ai";
import AiConversationSummary from "./components/ai-conversation-summary";
import AiConversationSummaryFill from "./components/ai-conversation-summary-fill";
import AiFill from "./components/ai-fill";
import AiSuggestReply from "./components/ai-suggest-reply";
import AiSuggestReplyFill from "./components/ai-suggest-reply-fill";
import AlternateEmail from "./components/alternate-email";
import AlternateEmailFill from "./components/alternate-email-fill";
import Animals from "./components/animals-&-nature";
import Archive from "./components/archive";
import ArchiveFill from "./components/archive-fill";
import ArrowBack from "./components/arrow-back";
import ArrowBackFill from "./components/arrow-back-fill";
import ArrowForward from "./components/arrow-forward";
import ArrowForwardFill from "./components/arrow-forward-fill";
import AttachFile from "./components/attach-file";
import AttachFileFill from "./components/attach-file-fill";
import BarChart from "./components/bar-chart";
import BarChartFill from "./components/bar-chart-fill";
import BaseIcon from "./components/base-icon";
import Bedtime from "./components/bedtime";
import BedtimeFill from "./components/bedtime-fill";
import Block from "./components/block";
import BlockFill from "./components/block-fill";
import Bookmark from "./components/bookmark";
import BookmarkAdd from "./components/bookmark-add";
import BookmarkAddFill from "./components/bookmark-add-fill";
import BookmarkFill from "./components/bookmark-fill";
import CalendarAddOn from "./components/calendar-add-on";
import CalendarAddOnFill from "./components/calendar-add-on-fill";
import CalendarToday from "./components/calendar-today";
import CalendarTodayFill from "./components/calendar-today-fill";
import Call from "./components/call";
import CallEnd from "./components/call-end";
import CallEndFill from "./components/call-end-fill";
import CallFill from "./components/call-fill";
import CallLog from "./components/call-log";
import CallLogFill from "./components/call-log-fill";
import CallMade from "./components/call-made";
import CallMadeFill from "./components/call-made-fill";
import CallMissed from "./components/call-missed";
import CallMissedFill from "./components/call-missed-fill";
import CallMissedOutgoing from "./components/call-missed-outgoing";
import CallMissedOutgoingFill from "./components/call-missed-outgoing-fill";
import CallReceived from "./components/call-received";
import CallReceivedFill from "./components/call-received-fill";
import Cancel from "./components/cancel";
import CancelFill from "./components/cancel-fill";
import ChangeCircle from "./components/change-circle";
import ChangeCircleFill from "./components/change-circle-fill";
import Chat from "./components/chat";
import ChatBot from "./components/chat-bot";
import ChatBotFill from "./components/chat-bot-fill";
import ChatFill from "./components/chat-fill";
import Check from "./components/check";
import CheckCircle from "./components/check-circle";
import CheckCircleFill from "./components/check-circle-fill";
import CheckFill from "./components/check-fill";
import ChevronLeft from "./components/chevron-left";
import ChevronLeftFill from "./components/chevron-left-fill";
import ChevronRight from "./components/chevron-right";
import ChevronRightFill from "./components/chevron-right-fill";
import Close from "./components/close";
import CloseFill from "./components/close-fill";
import CollaborativeDocument from "./components/collaborative-document";
import CollaborativeDocumentFill from "./components/collaborative-document-fill";
import CollabDocumentIcon from "./components/collaborative-document-icon";
import CollaborativeWhiteboard from "./components/collaborative-whiteboard";
import CollaborativeWhiteboardFill from "./components/collaborative-whiteboard-fill";
import CollabWhiteBoardIcon from "./components/collaborative-whiteboard-icon";
import ContentCopy from "./components/content-copy";
import ContentCopyFill from "./components/content-copy-fill";
import Crop from "./components/crop";
import CropFill from "./components/crop-fill";
import Delete from "./components/delete";
import DeleteFill from "./components/delete-fill";
import Description from "./components/description";
import DescriptionFill from "./components/description-fill";
import DoneAll from "./components/done-all";
import DoneAllFill from "./components/done-all-fill";
import Download from "./components/download";
import DownloadFill from "./components/download-fill";
import Edit from "./components/edit";
import EditCalendar from "./components/edit-calendar";
import EditCalendarFill from "./components/edit-calendar-fill";
import EditFill from "./components/edit-fill";
import EditSquare from "./components/edit-square";
import EditSquareFill from "./components/edit-square-fill";
import EmptyState from "./components/empty-state";
import Error from "./components/error";
import ErrorFill from "./components/error-fill";
import ErrorState from "./components/error-state";
import Event from "./components/event";
import EventAvailable from "./components/event-available";
import EventAvailableFill from "./components/event-available-fill";
import EventFill from "./components/event-fill";
import Favorite from "./components/favorite";
import FavoriteFill from "./components/favorite-fill";
import FilterList from "./components/filter-list";
import FilterListFill from "./components/filter-list-fill";
import FilterListOff from "./components/filter-list-off";
import FilterListOffFill from "./components/filter-list-off-fill";
import Flags from "./components/flags";
import FlipCameraIos from "./components/flip-camera-ios";
import FlipCameraIosFill from "./components/flip-camera-ios-fill";
import Food from "./components/food-&-drink";
import Forward from "./components/forward";
import ForwardFill from "./components/forward-fill";
import Gif from "./components/gif";
import GifFill from "./components/gif-fill";
import GraphicEq from "./components/graphic-eq";
import GraphicEqFill from "./components/graphic-eq-fill";
import Group from "./components/group";
import GroupAdd from "./components/group-add";
import GroupFill from "./components/group-fill";
import Help from "./components/help";
import HelpFill from "./components/help-fill";
import History from "./components/history";
import HistoryFill from "./components/history-fill";
import IncomingVideo from "./components/incoming-video";
import IncomingVideoFill from "./components/incoming-video-fill";
import IncomingAudio from "./components/incoming-audio";
import IncomingAudioFill from "./components/incoming-audio-fill";
import Info from "./components/info";
import InfoFill from "./components/info-fill";
import Keep from "./components/keep";
import KeepFill from "./components/keep-fill";
import KeepOff from "./components/keep-off";
import KeepOffFill from "./components/keep-off-fill";
import Keyboard from "./components/keyboard";
import KeyboardArrowDown from "./components/keyboard-arrow-down";
import KeyboardArrowDownFill from "./components/keyboard-arrow-down-fill";
import KeyboardArrowUp from "./components/keyboard-arrow-up";
import KeyboardArrowUpFill from "./components/keyboard-arrow-up-fill";
import KeyboardFill from "./components/keyboard-fill";
import Language from "./components/language";
import LanguageFill from "./components/language-fill";
import Link from "./components/link";
import LinkFill from "./components/link-fill";
import Loading from "./components/loading";
import LoadingFill from "./components/loading-fill";
import LocationOn from "./components/location-on";
import LocationOnFill from "./components/location-on-fill";
import Lock from "./components/lock";
import LockFill from "./components/lock-fill";
import LockOpen from "./components/lock-open";
import LockOpenFill from "./components/lock-open-fill";
import Logout from "./components/logout";
import LogoutFill from "./components/logout-fill";
import PersonOff from './components/person-off';
import Mail from "./components/mail";
import MailFill from "./components/mail-fill";
import Mic from "./components/mic";
import MicFill from "./components/mic-fill";
import MicOff from "./components/mic-off";
import MicOffFill from "./components/mic-off-fill";
import MissedVideoCall from "./components/missed-video-call";
import MissedVideoCallFill from "./components/missed-video-call-fill";
import Mood from "./components/mood";
import MoodFill from "./components/mood-fill";
import MoreVert from "./components/more-vert";
import MoreVertFill from "./components/more-vert-fill";
import NearMe from "./components/near-me";
import NearMeFill from "./components/near-me-fill";
import NoPhotography from "./components/no-photography";
import NoPhotographyFill from "./components/no-photography-fill";
import Notifications from "./components/notifications";
import NotificationsFill from "./components/notifications-fill";
import NotificationsOff from "./components/notifications-off";
import NotificationsOffFill from "./components/notifications-off-fill";
import Objects from "./components/objects";
import OutgoingVideo from "./components/outgoing-video";
import OutgoingVideoFill from "./components/outgoing-video-fill";
import OutgoingAudio from "./components/outgoing-audio";
import OutgoingAudioFill from "./components/outgoing-audio-fill";
import Pause from "./components/pause";
import PauseFill from "./components/pause-fill";
import Person from "./components/person";
import PersonAdd from "./components/person-add";
import PersonAddFill from "./components/person-add-fill";
import PersonFill from "./components/person-fill";
import PhoneInTalk from "./components/phone-in-talk";
import PhoneInTalkFill from "./components/phone-in-talk-fill";
import PhoneIncoming from "./components/phone-incoming";
import PhoneIncomingFill from "./components/phone-incoming-fill";
import PhoneMissed from "./components/phone-missed";
import PhoneMissedFill from "./components/phone-missed-fill";
import PhoneOutgoing from "./components/phone-outgoing";
import PhoneOutgoingFill from "./components/phone-outgoing-fill";
import Photo from "./components/photo";
import PhotoCamera from "./components/photo-camera";
import PhotoCameraFill from "./components/photo-camera-fill";
import PhotoFill from "./components/photo-fill";
import PlayArrow from "./components/play-arrow";
import PlayArrowFill from "./components/play-arrow-fill";
import PlayCircle from "./components/play-circle";
import PlayCircleFill from "./components/play-circle-fill";
import Poll from "./components/poll";
import PollFill from "./components/poll-fill";
import PollIcon from "./components/poll-Icon";
import Rearrange from "./components/rearrange";
import RearrangeFill from "./components/rearrange-fill";
import Refresh from "./components/refresh";
import RefreshFill from "./components/refresh-fill";
import Reply from "./components/reply";
import ReplyAll from "./components/reply-all";
import ReplyAllFill from "./components/reply-all-fill";
import ReplyFill from "./components/reply-fill";
import Retry from "./components/retry";
import RetryFill from "./components/retry-fill";
import Schedule from "./components/schedule";
import ScheduleFill from "./components/schedule-fill";
import ScreenShare from "./components/screen-share";
import ScreenShareFill from "./components/screen-share-fill";
import Search from "./components/search";
import SearchFill from "./components/search-fill";
import Send from "./components/send";
import SendFill from "./components/send-fill";
import Settings from "./components/settings";
import SettingsFill from "./components/settings-fill";
import Share from "./components/share";
import ShareFill from "./components/share-fill";
import Shield from "./components/shield";
import ShieldFill from "./components/shield-fill";
import Smileys from "./components/smileys-&-people";
import Star from "./components/star";
import StarFill from "./components/star-fill";
import Sticker from "./components/sticker";
import StickerFill from "./components/sticker-fill";
import StickerBase from "./components/StickerBase-icon";
import Stop from "./components/stop";
import StopCircle from "./components/stop-circle";
import StopCircleFill from "./components/stop-circle-fill";
import StopFill from "./components/stop-fill";
import StopScreenShare from "./components/stop-screen-share";
import StopScreenShareFill from "./components/stop-screen-share-fill";
import SubdirectoryArrowLeft from "./components/subdirectory-arrow-left";
import SubdirectoryArrowLeftFill from "./components/subdirectory-arrow-left-fill";
import SubdirectoryArrowRight from "./components/subdirectory-arrow-right";
import SubdirectoryArrowRightFill from "./components/subdirectory-arrow-right-fill";
import Sunny from "./components/sunny";
import SunnyFill from "./components/sunny-fill";
import Symbols from "./components/symbols";
import ThumbDown from "./components/thumb-down";
import ThumbDownFill from "./components/thumb-down-fill";
import ThumbUp from "./components/thumb-up";
import ThumbUpFill from "./components/thumb-up-fill";
import Translate from "./components/translate";
import TranslateFill from "./components/translate-fill";
import Travel from "./components/travel-&-places";
import Upload from "./components/upload";
import UploadFill from "./components/upload-fill";
import UserEmptyIcon from "./components/user-empty-icon";
import VideoCall from "./components/video-call";
import VideoCallFill from "./components/video-call-fill";
import Videocam from "./components/videocam";
import VideocamFill from "./components/videocam-fill";
import VideocamOff from "./components/videocam-off";
import VideocamOffFill from "./components/videocam-off-fill";
import VisibilityOff from "./components/visibility-off";
import VisibilityOffFill from "./components/visibility-off-fill";
import VolumeDown from "./components/volume-down";
import VolumeDownFill from "./components/volume-down-fill";
import VolumeMute from "./components/volume-mute";
import VolumeMuteFill from "./components/volume-mute-fill";
import VolumeOff from "./components/volume-off";
import VolumeOffFill from "./components/volume-off-fill";
import VolumeUp from "./components/volume-up";
import VolumeUpFill from "./components/volume-up-fill";
import Warning from "./components/warning";
import WarningFill from "./components/warning-fill";
import Wifi from "./components/wifi";
import WifiFill from "./components/wifi-fill";
import ZoomInMap from "./components/zoom-in-map";
import ZoomInMapFill from "./components/zoom-in-map-fill";
import ZoomOutMap from "./components/zoom-out-map";
import ZoomOutMapFill from "./components/zoom-out-map-fill";

/******File Bubble Type Preview Icons*****/
import AudioFileType from "./components/audio-file-type";
import DocumentFileType from "./components/document-file-type";
import ImageFileType from "./components/image-file-type";
import ListItemCheck from "./components/ListItemCheck";
import PdfFileType from "./components/pdf-file-type";
import PresentationFileType from "./components/presentation-file-type";
import SpreadsheetFileType from "./components/spreadsheet-file-type";
import TextFileType from "./components/text-file-type";
import UnknownFileType from "./components/unknown-file-type";
import VideoFileType from "./components/video-file-type";
import ZipFileType from "./components/zip-file-type";

/**************************************** */

export const ICONS = {
  "account-circle": AccountCircle,
  "account-circle-fill": AccountCircleFill,
  add: Add,
  "add-fill": AddFill,
  "add-a-photo": AddAPhoto,
  "add-a-photo-fill": AddAPhotoFill,
  "add-box": AddBox,
  "add-box-fill": AddBoxFill,
  "add-call": AddCall,
  "add-call-fill": AddCallFill,
  "add-circle": AddCircle,
  "add-circle-fill": AddCircleFill,
  "add-comment": AddComment,
  "add-comment-fill": AddCommentFill,
  "add-reaction": AddReaction,
  "add-reaction-fill": AddReactionFill,
  "ai-conversation-summary": AiConversationSummary,
  "ai-conversation-summary-fill": AiConversationSummaryFill,
  "ai-suggest-reply": AiSuggestReply,
  "ai-suggest-reply-fill": AiSuggestReplyFill,
  ai: Ai,
  "ai-fill": AiFill,
  "alternate-email": AlternateEmail,
  "alternate-email-fill": AlternateEmailFill,
  archive: Archive,
  "archive-fill": ArchiveFill,
  "arrow-back": ArrowBack,
  "arrow-back-fill": ArrowBackFill,
  "arrow-forward": ArrowForward,
  "arrow-forward-fill": ArrowForwardFill,
  "attach-file": AttachFile,
  "attach-file-fill": AttachFileFill,
  "bar-chart": BarChart,
  "bar-chart-fill": BarChartFill,
  bedtime: Bedtime,
  "bedtime-fill": BedtimeFill,
  block: Block,
  "block-fill": BlockFill,
  bookmark: Bookmark,
  "bookmark-fill": BookmarkFill,
  "bookmark-add": BookmarkAdd,
  "bookmark-add-fill": BookmarkAddFill,
  "calendar-add-on": CalendarAddOn,
  "calendar-add-on-fill": CalendarAddOnFill,
  "calendar-today": CalendarToday,
  "calendar-today-fill": CalendarTodayFill,
  call: Call,
  "call-fill": CallFill,
  "call-end": CallEnd,
  "call-end-fill": CallEndFill,
  "call-log": CallLog,
  "call-log-fill": CallLogFill,
  "call-made": CallMade,
  "call-made-fill": CallMadeFill,
  "call-missed": CallMissed,
  "call-missed-fill": CallMissedFill,
  "call-missed-outgoing": CallMissedOutgoing,
  "call-missed-outgoing-fill": CallMissedOutgoingFill,
  "call-received": CallReceived,
  "call-received-fill": CallReceivedFill,
  cancel: Cancel,
  "cancel-fill": CancelFill,
  "change-circle": ChangeCircle,
  "change-circle-fill": ChangeCircleFill,
  chat: Chat,
  "chat-fill": ChatFill,
  "chat-bot": ChatBot,
  "chat-bot-fill": ChatBotFill,
  check: Check,
  "check-fill": CheckFill,
  "check-circle": CheckCircle,
  "check-circle-fill": CheckCircleFill,
  "chevron-left": ChevronLeft,
  "chevron-left-fill": ChevronLeftFill,
  "chevron-right": ChevronRight,
  "chevron-right-fill": ChevronRightFill,
  close: Close,
  "close-fill": CloseFill,
  "collaborative-whiteboard": CollaborativeWhiteboard,
  "collaborative-whiteboard-fill": CollaborativeWhiteboardFill,
  "collaborative-document": CollaborativeDocument,
  "collaborative-document-fill": CollaborativeDocumentFill,
  "content-copy": ContentCopy,
  "content-copy-fill": ContentCopyFill,
  crop: Crop,
  "crop-fill": CropFill,
  delete: Delete,
  "delete-fill": DeleteFill,
  description: Description,
  "description-fill": DescriptionFill,
  "done-all": DoneAll,
  "done-all-fill": DoneAllFill,
  download: Download,
  "download-fill": DownloadFill,
  "edit-square": EditSquare,
  "edit-square-fill": EditSquareFill,
  edit: Edit,
  "edit-fill": EditFill,
  "edit-calendar": EditCalendar,
  "edit-calendar-fill": EditCalendarFill,
  error: Error,
  "error-fill": ErrorFill,
  "error-state": ErrorState,
  "empty-state": EmptyState,
  "event-available": EventAvailable,
  "event-available-fill": EventAvailableFill,
  event: Event,
  "event-fill": EventFill,
  favorite: Favorite,
  "favorite-fill": FavoriteFill,
  "filter-list": FilterList,
  "filter-list-fill": FilterListFill,
  "filter-list-off": FilterListOff,
  "filter-list-off-fill": FilterListOffFill,
  "flip-camera-ios": FlipCameraIos,
  "flip-camera-ios-fill": FlipCameraIosFill,
  forward: Forward,
  "forward-fill": ForwardFill,
  gif: Gif,
  "gif-fill": GifFill,
  "graphic-eq": GraphicEq,
  "graphic-eq-fill": GraphicEqFill,
  group: Group,
  "group-fill": GroupFill,
  help: Help,
  "help-fill": HelpFill,
  history: History,
  "history-fill": HistoryFill,
  "incoming-video": IncomingVideo,
  "incoming-video-fill": IncomingVideoFill,
  "incoming-audio-fill": IncomingAudioFill,
  "incoming-audio": IncomingAudio,
  info: Info,
  "info-fill": InfoFill,
  keep: Keep,
  "keep-fill": KeepFill,
  "keep-off": KeepOff,
  "keep-off-fill": KeepOffFill,
  keyboard: Keyboard,
  "keyboard-fill": KeyboardFill,
  "keyboard-arrow-down": KeyboardArrowDown,
  "keyboard-arrow-down-fill": KeyboardArrowDownFill,
  "keyboard-arrow-up": KeyboardArrowUp,
  "keyboard-arrow-up-fill": KeyboardArrowUpFill,
  language: Language,
  "language-fill": LanguageFill,
  link: Link,
  "link-fill": LinkFill,
  loading: Loading,
  "loading-fill": LoadingFill,
  "location-on": LocationOn,
  "location-on-fill": LocationOnFill,
  lock: Lock,
  "lock-fill": LockFill,
  "lock-open": LockOpen,
  "lock-open-fill": LockOpenFill,
  logout: Logout,
  "logout-fill": LogoutFill,
  mail: Mail,
  "mail-fill": MailFill,
  "group-add": GroupAdd,
  mic: Mic,
  "mic-fill": MicFill,
  "mic-off": MicOff,
  "mic-off-fill": MicOffFill,
  "missed-video-call": MissedVideoCall,
  "missed-video-call-fill": MissedVideoCallFill,
  mood: Mood,
  "mood-fill": MoodFill,
  "more-vert": MoreVert,
  "more-vert-fill": MoreVertFill,
  "near-me": NearMe,
  "near-me-fill": NearMeFill,
  notifications: Notifications,
  "notifications-fill": NotificationsFill,
  "notifications-off": NotificationsOff,
  "notifications-off-fill": NotificationsOffFill,
  "no-photography": NoPhotography,
  "no-photography-fill": NoPhotographyFill,
  "outgoing-video": OutgoingVideo,
  "outgoing-video-fill": OutgoingVideoFill,
  "outgoing-audio": OutgoingAudio,
  "outgoing-audio-fill": OutgoingAudioFill,
  pause: Pause,
  "pause-fill": PauseFill,
  person: Person,
  "person-fill": PersonFill,
  "person-add": PersonAdd,
  "person-add-fill": PersonAddFill,
  "phone-incoming": PhoneIncoming,
  "phone-incoming-fill": PhoneIncomingFill,
  "phone-in-talk": PhoneInTalk,
  "phone-in-talk-fill": PhoneInTalkFill,
  "phone-missed": PhoneMissed,
  "phone-missed-fill": PhoneMissedFill,
  "phone-outgoing": PhoneOutgoing,
  "phone-outgoing-fill": PhoneOutgoingFill,
  "list-item-check": ListItemCheck,
  photo: Photo,
  "photo-fill": PhotoFill,
  'person-off':PersonOff,
  "photo-camera": PhotoCamera,
  "photo-camera-fill": PhotoCameraFill,
  "play-arrow": PlayArrow,
  "play-arrow-fill": PlayArrowFill,
  "play-circle": PlayCircle,
  "play-circle-fill": PlayCircleFill,
  poll: Poll,
  "poll-fill": PollFill,
  rearrange: Rearrange,
  "rearrange-fill": RearrangeFill,
  refresh: Refresh,
  "refresh-fill": RefreshFill,
  reply: Reply,
  "reply-fill": ReplyFill,
  "reply-all": ReplyAll,
  "reply-all-fill": ReplyAllFill,
  retry: Retry,
  "retry-fill": RetryFill,
  schedule: Schedule,
  "schedule-fill": ScheduleFill,
  "screen-share": ScreenShare,
  "screen-share-fill": ScreenShareFill,
  search: Search,
  "search-fill": SearchFill,
  send: Send,
  "send-fill": SendFill,
  settings: Settings,
  "settings-fill": SettingsFill,
  share: Share,
  "share-fill": ShareFill,
  shield: Shield,
  "shield-fill": ShieldFill,
  star: Star,
  "star-fill": StarFill,
  sticker: Sticker,
  "sticker-fill": StickerFill,
  stop: Stop,
  "stop-fill": StopFill,
  "stop-circle": StopCircle,
  "stop-circle-fill": StopCircleFill,
  "stop-screen-share": StopScreenShare,
  "stop-screen-share-fill": StopScreenShareFill,
  "subdirectory-arrow-left": SubdirectoryArrowLeft,
  "subdirectory-arrow-left-fill": SubdirectoryArrowLeftFill,
  "subdirectory-arrow-right": SubdirectoryArrowRight,
  "subdirectory-arrow-right-fill": SubdirectoryArrowRightFill,
  sunny: Sunny,
  "sunny-fill": SunnyFill,
  "thumb-down": ThumbDown,
  "thumb-down-fill": ThumbDownFill,
  "thumb-up": ThumbUp,
  "thumb-up-fill": ThumbUpFill,
  translate: Translate,
  "translate-fill": TranslateFill,
  upload: Upload,
  "upload-fill": UploadFill,
  videocam: Videocam,
  "videocam-fill": VideocamFill,
  "videocam-off": VideocamOff,
  "videocam-off-fill": VideocamOffFill,
  "video-call": VideoCall,
  "video-call-fill": VideoCallFill,
  "visibility-off": VisibilityOff,
  "visibility-off-fill": VisibilityOffFill,
  "volume-down": VolumeDown,
  "volume-down-fill": VolumeDownFill,
  "volume-mute": VolumeMute,
  "volume-mute-fill": VolumeMuteFill,
  "volume-off": VolumeOff,
  "volume-off-fill": VolumeOffFill,
  "volume-up": VolumeUp,
  "volume-up-fill": VolumeUpFill,
  warning: Warning,
  "warning-fill": WarningFill,
  wifi: Wifi,
  "user-empty-icon": UserEmptyIcon,
  "wifi-fill": WifiFill,
  "zoom-in-map": ZoomInMap,
  "zoom-in-map-fill": ZoomInMapFill,
  "zoom-out-map": ZoomOutMap,
  "zoom-out-map-fill": ZoomOutMapFill,
  "base-icon": BaseIcon,
  "sticker-base": StickerBase,
  "activity-emoji": Activity,
  "animals-nature-emoji": Animals,
  "flags-emoji": Flags,
  "food-drink-emoji": Food,
  "objects-emoji": Objects,
  "smiley-emoji": Smileys,
  "symbols-emoji": Symbols,
  "travel-emoji": Travel,
  poll_icon: PollIcon,
  "collaborative-document-icon": CollabDocumentIcon,
  "collaborative-whiteboard-icon": CollabWhiteBoardIcon,

  /******File Bubble Type Preview Icons*****/
  "audio-file-type": AudioFileType,
  "image-file-type": ImageFileType,
  "pdf-file-type": PdfFileType,
  "presentation-file-type": PresentationFileType,
  "spreadsheet-file-type": SpreadsheetFileType,
  "text-file-type": TextFileType,
  "unknown-file-type": UnknownFileType,
  "video-file-type": VideoFileType,
  "document-file-type": DocumentFileType,
  "zip-file-type": ZipFileType,
  /***************************************/
} as const;
